---
# prime. https://computingforgeeks.com/setup-glusterfs-storage-with-heketi-on-centos-server/

- name: precondition
  include_role:
    name: '{{src}}/network/dns/coreDNS'

- name: Copy heketi topology file
  template:
    src: topology.json.j2
    dest: /etc/heketi/topology.json

- name: Set proper file ownership
  file:
   path:  /etc/heketi/topology.json
   owner: heketi
   group: heketi

- name: set Corefile for Gluster
  template:
    src: Corefile.j2
    dest: /etc/unidns/Corefile
  notify: reload dns zone

- name: set DNS for Gluster
  template:
    src: DNS.db.j2
    dest: '/etc/unidns/{{domain}}.{{tld}}.db'
  notify: reload dns zone

# - name: start Heketi
#   include_tasks: start_Heketi.yml

# - name: Final task, load Topology
#   include_tasks: load_topology.yml
